Constants (WHN Manager CL 1.0.0-SNAPSHOT API)
Date: 2015-03-31

org.gcube.common.vremanagement.whnmanager.client

## Class Constants

- java.lang.Object
- - org.gcube.common.vremanagement.whnmanager.client.Constants

-     public class Constants
      extends Object

  Author:
    roberto cirillo (ISTI-CNR)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONTEX_SERVICE_NAME`
    `static int` | `DEFAULT_TIMEOUT`
    `static String` | `NAMESPACE`
    `static String` | `PORT_TYPE_NAME`
    `static String` | `porttypeLocalName`
    `static String` | `porttypeNS`
    `static String` | `SERVICE_CLASS`
    `static String` | `SERVICE_NAME`
    `static String` | `serviceLocalName`
    `static QName` | `serviceName`
    `static String` | `serviceNS`
    `static org.gcube.common.calls.jaxws.GcubeService<org.gcube.resourcemanagement.whnmanager.api.WhnManager>` | `whnManager`
    `static QName` | `WHNMANAGER_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SERVICE_CLASS

          public static final String SERVICE_CLASS

      See Also:
        Constant Field Values

    - #### SERVICE_NAME

          public static final String SERVICE_NAME

      See Also:
        Constant Field Values

    - #### NAMESPACE

          public static final String NAMESPACE

      See Also:
        Constant Field Values

    - #### PORT_TYPE_NAME

          public static final String PORT_TYPE_NAME

      See Also:
        Constant Field Values

    - #### serviceNS

          public static final String serviceNS

      See Also:
        Constant Field Values

    - #### serviceLocalName

          public static final String serviceLocalName

      See Also:
        Constant Field Values

    - #### serviceName

          public static final QName serviceName

    - #### porttypeNS

          public static final String porttypeNS

      See Also:
        Constant Field Values

    - #### porttypeLocalName

          public static final String porttypeLocalName

      See Also:
        Constant Field Values

    - #### CONTEX_SERVICE_NAME

          public static final String CONTEX_SERVICE_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_TIMEOUT

          public static final int DEFAULT_TIMEOUT

    - #### WHNMANAGER_QNAME

          public static final QName WHNMANAGER_QNAME

    - #### whnManager

          public static final org.gcube.common.calls.jaxws.GcubeService<org.gcube.resourcemanagement.whnmanager.api.WhnManager> whnManager

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2015. All Rights Reserved.